package com.philisense.rdgo.bean.response;

/**
 * Created by shaop on 2017/12/13.
 */

public class LoginBean {
    /**
     * success : 0
     * message : 登录成功!
     * data : {"_id":"5a2f4275fd753d23d0fcbaf5","deleted":0,"isUse":0,"line":"11","warehouse":"11","factory":"11","IDCard":"11","sex":"man","name":"222","password":"567","account":"22","token":"eyJhbGciOiJIUzI1NiJ9.MTUxMzE0NzEwODE0Mw.E4JNhNqR7U_dMbbFSy_D_2RmBTYAs-hCQEEgZ-zGfFw"}
     */

    private int success;
    private String message;
    private DataBean data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * _id : 5a2f4275fd753d23d0fcbaf5
         * deleted : 0
         * isUse : 0
         * line : 11
         * warehouse : 11
         * factory : 11
         * IDCard : 11
         * sex : man
         * name : 222
         * password : 567
         * account : 22
         * token : eyJhbGciOiJIUzI1NiJ9.MTUxMzE0NzEwODE0Mw.E4JNhNqR7U_dMbbFSy_D_2RmBTYAs-hCQEEgZ-zGfFw
         */

        private String _id;
        private int deleted;
        private int isUse;
        private String line;
        private String warehouse;
        private String warehouseCode;
        private String factory;
        private String IDCard;
        private String sex;
        private String name;
        private String password;
        private String account;
        private String token;

        public String getWarehouseCode() {
            return warehouseCode;
        }

        public void setWarehouseCode(String warehouseCode) {
            this.warehouseCode = warehouseCode;
        }

        public String get_id() {
            return _id;
        }

        public void set_id(String _id) {
            this._id = _id;
        }

        public int getDeleted() {
            return deleted;
        }

        public void setDeleted(int deleted) {
            this.deleted = deleted;
        }

        public int getIsUse() {
            return isUse;
        }

        public void setIsUse(int isUse) {
            this.isUse = isUse;
        }

        public String getLine() {
            return line;
        }

        public void setLine(String line) {
            this.line = line;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public String getFactory() {
            return factory;
        }

        public void setFactory(String factory) {
            this.factory = factory;
        }

        public String getIDCard() {
            return IDCard;
        }

        public void setIDCard(String IDCard) {
            this.IDCard = IDCard;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPassword() {
            return password;
        }

        public void setPassword(String password) {
            this.password = password;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }
    }
}
